libzypp 17.37.10

zypp::solver::detail::DoTransact Struct Reference

## Public Member Functions
| DoTransact (const ResStatus::TransactByValue &status)
bool | operator() (const PoolItem &item)

## Public Attributes
ResStatus::TransactByValue | resStatus

## Detailed Description

Definition at line 269 of file Resolver.cc.

## Constructor & Destructor Documentation

## ◆ DoTransact()

zypp::solver::detail::DoTransact::DoTransact | ( | const ResStatus::TransactByValue & | status | ) |
| inline

Definition at line 272 of file Resolver.cc.

## Member Function Documentation

## ◆ operator()()

bool zypp::solver::detail::DoTransact::operator() | ( | const PoolItem & | item | ) |
| inline

Definition at line 276 of file Resolver.cc.

## Member Data Documentation

## ◆ resStatus

ResStatus::TransactByValue zypp::solver::detail::DoTransact::resStatus

Definition at line 271 of file Resolver.cc.

The documentation for this struct was generated from the following file:

- zypp/solver/detail/Resolver.cc